Subject: Re: [X2Go-Dev] Bug#75: fails to use RSA SSH keys

From: Mike Gabriel <[email-masked]>
Date: Thu, 06 Dec 2012 10:04:55 +0100

Hi Reinhard,

On Do 06 Dez 2012 09:53:32 CET Reinhard Tartler wrote:

> On Thu, Dec 6, 2012 at 9:48 AM, Mike Gabriel

>> I have also observed this behaviour. My main SSH key is an RSA key and it
>> works fine.
>
> That sentence does not make sense to me. Can you confirm that RSA keys
> do not work or not?

My RSA key here works fine with PyHoca-GUI. So, I think I can confirm  
that RSA keys generally work.

>>
>> So problem 1 is the error message: it says DSA (hard-coded) but it can mean
>> RSA/DSA.
>>
>> The ,,not a valid DSA key'' refers to a local private SSH key that does not
>> get accepted by the server (no matter if the key locally is RSA or DSA).
>
> Well, this means that the error message then is both wrong and not helpful.

Yes, ACK. Will address that later with a commit.

>> What is the exact SSH configuration in the sessions file? Do you use
>> detction of default key names in the config?
>
> This is my the relevant part of my ~/.x2goclient/sessions file
>
> [20121202161237781818]
> iconvfrom = UTF-8
> height = 600
> speed = 2
> setsessiontitle = 0
> sessiontitle =
> layout = us
> width = 800
> krblogin = 0
> soundsystem = pulse
> autostart = 0
> type = pc105/us
> sndport = 4713
> sshproxyuser =
> usekbd = 1
> autologin = 0
> sound = 1
> rootless = 0
> sshproxyhost =
> name = <REMOVED FOR PRIVACY>
> iconvto = UTF-8
> directrdp = 0
> sshport = 22
> startsoundsystem = 0
> pack = 16m-jpeg
> defsndport = 1
> useiconv = 0
> multidisp = 0
> export = ";"
> fullscreen = 0
> useexports = 0
> quality = 9
> xdmcpserver = localhost
> xinerama = 0
> rdpoptions = -u X2GO_USER -p X2GO_PASSWORD
> print = 0
> usesshproxy = 0
> sshproxytunnel = :1::1
> variant = altgr-intl
> sshproxykeyfile =
> fstunnel = 1
> applications = TERMINAL, WWWBROWSER, MAILCLIENT, OFFICE
> host = <REMOVED FOR PRIVACY>
> mimeboxextensions =
> user = tartler
> key =
> directrdpsettings =
> icon = /usr/share/icons/PyHoca/128x128/pyhoca-session.png
> mimeboxaction = OPEN
> rdpport = 3389
> rdpserver =
> soundtunnel = 1
> rdpclient = rdesktop
> command = KDE
> dpi = 96
> published = 0
> setdpi = 0
> usemimebox = 0

Ah... your are still using 0.2.0.4 of pyhoca-gui (and probably  
0.2.0.10 of python-x2go?).

Can you please try 0.2.1.0 of pyhoca-gui + python-x2go and report back  
if the problem persists (before I dig into old code...).

Greets,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb